<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RCallerFilterList StructType
 * @subpackage Structs
 */
class RCallerFilterList extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 128
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The isAllowedType
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $isAllowedType;
    /**
     * The endUserIdName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $endUserIdName;
    /**
     * The members
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\Members
     */
    public $members;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RCallerFilterList
     * @uses RCallerFilterList::setName()
     * @uses RCallerFilterList::setDescription()
     * @uses RCallerFilterList::setIsAllowedType()
     * @uses RCallerFilterList::setEndUserIdName()
     * @uses RCallerFilterList::setMembers()
     * @uses RCallerFilterList::setUuid()
     * @param string $name
     * @param string $description
     * @param string $isAllowedType
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $endUserIdName
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, $isAllowedType = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $endUserIdName = null, \\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setIsAllowedType($isAllowedType)
            ->setEndUserIdName($endUserIdName)
            ->setMembers($members)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCallerFilterList
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCallerFilterList
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get isAllowedType value
     * @return string|null
     */
    public function getIsAllowedType()
    {
        return $this->isAllowedType;
    }
    /**
     * Set isAllowedType value
     * @param string $isAllowedType
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCallerFilterList
     */
    public function setIsAllowedType($isAllowedType = null)
    {
        $this->isAllowedType = $isAllowedType;
        return $this;
    }
    /**
     * Get endUserIdName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getEndUserIdName()
    {
        return $this->endUserIdName;
    }
    /**
     * Set endUserIdName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $endUserIdName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCallerFilterList
     */
    public function setEndUserIdName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $endUserIdName = null)
    {
        $this->endUserIdName = $endUserIdName;
        return $this;
    }
    /**
     * Get members value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\Members|null
     */
    public function getMembers()
    {
        return $this->members;
    }
    /**
     * Set members value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\Members $members
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCallerFilterList
     */
    public function setMembers(\\Losc\CucmBundle\Model\Webservice\StructType\Members $members = null)
    {
        $this->members = $members;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RCallerFilterList
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
